Bug 459458 - openmpi-devel doesn't pull in openmpi
Summary: openmpi-devel doesn't pull in openmpi
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openmpi
Version: 11
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Doug Ledford
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-19 05:45 UTC by Alex Lancaster
Modified: 2010-01-21 03:09 UTC (History)
2 users (show)

Fixed In Version: 1.3.3-6.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-21 03:09:19 UTC
Type: ---


Attachments (Terms of Use)

Description Alex Lancaster 2008-08-19 05:45:17 UTC
openmpi-devel is probably not very useful without the main openmpi package, but apparently there is a missing "Requires: openmpi" as recommended in:

https://fedoraproject.org/wiki/Packaging/Guidelines#Requires

because installing the -devel package doesn't pull in openmpi

$ rpm -q openmpi
package openmpi is not installed

sudo yum install  openmpi-devel 
<...>
Resolving Dependencies
--> Running transaction check
---> Package openmpi-devel.i386 0:1.2.4-1.fc8 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 openmpi-devel           i386       1.2.4-1.fc8      fedora            277 k

Transaction Summary
=============================================================================
Install      1 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 277 k
Is this ok [y/N]: y
Downloading Packages:
Downloading DeltaRPMs:
Rebuilding rpms from deltarpms
(1/1): openmpi-devel-1.2.4-1.fc8.i386.rpm                                                                                             | 277 kB     00:02     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing: openmpi-devel                ######################### [1/1] 

Installed: openmpi-devel.i386 0:1.2.4-1.fc8
Complete!

Comment 1 Alex Lancaster 2008-10-19 11:09:30 UTC
Ping?  This still happens in rawhide.

Comment 2 Doug Ledford 2008-11-04 14:36:14 UTC
Originally it was intentional.  It was possible to install multiple versions of the openmpi-libs and openmpi-devel with a single openmpi runtime and that one runtime would run applications against any of the installed libs (there is no direct dependency between the runtime and the libs per se, only between the libs and the application the runtime environment is actually running).

With the way I've reorganized the openmpi package (in RHEL, I haven't updated Fedora yet), it's no longer all that important and will likely completely go away as I'll revert openmpi back to being a single package instead of all split up like this.

Comment 3 Bug Zapper 2008-11-26 02:49:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Alex Lancaster 2009-01-03 03:52:47 UTC
(In reply to comment #2)

> With the way I've reorganized the openmpi package (in RHEL, I haven't updated
> Fedora yet), it's no longer all that important and will likely completely go
> away as I'll revert openmpi back to being a single package instead of all split
> up like this.

Ping?  It doesn't look like the openmpi package in Fedora has been touched for almost a year:

https://koji.fedoraproject.org/koji/packageinfo?packageID=17

and is still an issue in rawhide, so bumping version.

Comment 5 Doug Ledford 2009-01-03 15:21:20 UTC
The openmpi package is due for a major overhaul.  I've been waiting on it until the RDMA stack is in place so I can build the new package against libibverbs and dapl which will allow openmpi to use InfiniBand interconnects natively.  I should be able to get it done pretty soon (I have to finish my rhel4.8 deliverables first).

Comment 6 Doug Ledford 2009-03-19 19:13:27 UTC
Jay is helping out with Open MPI issues, so added him to the Cc list.

Comment 7 Bug Zapper 2009-06-09 09:40:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Doug Ledford 2009-07-21 15:19:22 UTC
This is resolved in the upcoming openmpi-1.3.3-1 update

Comment 9 Fedora Update System 2009-07-21 15:52:16 UTC
openmpi-1.3.3-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/openmpi-1.3.3-1.fc11

Comment 10 Fedora Update System 2009-07-23 19:06:27 UTC
openmpi-1.3.3-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openmpi'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7951

Comment 11 Alex Lancaster 2009-11-12 20:54:04 UTC
Unfortunately a new update was pushed which omitted adding this bug to a new update to supercede the one above.  Please visit:

https://admin.fedoraproject.org/updates/F11/FEDORA-2009-10848

and test the version in updates-testing before it gets pushed to stable (which will happen very soon) to make sure there are no regressions.

Comment 12 Alex Lancaster 2010-01-21 03:09:19 UTC
This seems to be fixed.  Uninstalled openmpi/openmpi-devel, now it openmpi is pulled in correctly:  

$ sudo yum install openmpi-devel
...
Resolving Dependencies
--> Running transaction check
---> Package openmpi-devel.x86_64 0:1.3.3-6.fc12 set to be updated
--> Processing Dependency: openmpi = 1.3.3-6.fc12 for package: openmpi-devel-1.3.3-6.fc12.x86_64
--> Processing Dependency: libmpi_f77.so.0()(64bit) for package: openmpi-devel-1.3.3-6.fc12.x86_64
--> Processing Dependency: libmpi_cxx.so.0()(64bit) for package: openmpi-devel-1.3.3-6.fc12.x86_64
--> Processing Dependency: libmpi.so.0()(64bit) for package: openmpi-devel-1.3.3-6.fc12.x86_64
--> Processing Dependency: libmpi_f90.so.0()(64bit) for package: openmpi-devel-1.3.3-6.fc12.x86_64
--> Processing Dependency: libopenmpi_malloc.so.0()(64bit) for package: openmpi-devel-1.3.3-6.fc12.x86_64
--> Processing Dependency: libopen-pal.so.0()(64bit) for package: openmpi-devel-1.3.3-6.fc12.x86_64
--> Processing Dependency: libmca_common_sm.so.0()(64bit) for package: openmpi-devel-1.3.3-6.fc12.x86_64
--> Processing Dependency: libopen-rte.so.0()(64bit) for package: openmpi-devel-1.3.3-6.fc12.x86_64
--> Running transaction check
---> Package openmpi.x86_64 0:1.3.3-6.fc12 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

===============================================================================
 Package              Arch          Version                Repository     Size
===============================================================================
Installing:
 openmpi-devel        x86_64        1.3.3-6.fc12           fedora        1.9 M
Installing for dependencies:
 openmpi              x86_64        1.3.3-6.fc12           fedora        1.1 M

Transaction Summary
===============================================================================
Install       2 Package(s)
Upgrade       0 Package(s)

Total size: 3.0 M
Total download size: 1.9 M
Is this ok [y/N]: y
Downloading Packages:
Setting up and reading Presto delta metadata
Processing delta metadata
Package(s) data still to download: 1.9 M
openmpi-devel-1.3.3-6.fc12.x86_64.rpm                   | 1.9 MB     00:10     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : openmpi-1.3.3-6.fc12.x86_64                             1/2 
  Installing     : openmpi-devel-1.3.3-6.fc12.x86_64                       2/2 

Installed:
  openmpi-devel.x86_64 0:1.3.3-6.fc12                                          

Dependency Installed:
  openmpi.x86_64 0:1.3.3-6.fc12                                                

Complete!


Closing bug.


Note You need to log in before you can comment on or make changes to this bug.